/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
function validarElementoA() {
    document.getElementById('aplicacionNum').disabled = !document.getElementById('aplicacionNum').disabled;
    ;
}

function actualizarElementoA() {
    var app = document.getElementById('aplicacionNum').value;
    var ideAlu = document.getElementById('idAlu').value;
    var innerHtmll = document.getElementById("upAp").innerHTML;
    console.log(innerHtmll);

    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/euCambiarCID',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {app: app, ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'json',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("upAp").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong></strong>';
            ;
        },
        success: function (respuesta) {
            //alert("Correcto");
            if (respuesta === "true") {
                document.getElementById("upAp").innerHTML = "CORRECTO";
            } else {
                document.getElementById("upAp").innerHTML = "ERROR";
            }

        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
            document.getElementById("upAp").innerHTML = innerHtmll;
            document.getElementById('aplicacionNum').disabled = true;
        }
    });
}




function validarElementoB(ide) {
    var x = document.getElementById("p" + ide).readOnly;
    console.log(x + '-' + ide);
    if (x === true) {
        document.getElementById("p" + ide).readOnly = false;
    } else {
        document.getElementById("p" + ide).readOnly = true;
    }
}

function actualizarElementoB(ide) {
    var monto = document.getElementById("p" + ide).value;
    var innerHtmll = document.getElementById("t" + ide).innerHTML;
    console.log(innerHtmll);

    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/euCambiarCID',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {monto: monto, ide: ide},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'json',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("t" + ide).innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong></strong>';
            ;
        },
        success: function (respuesta) {
            //alert("Correcto");
            if (respuesta === "true") {
                document.getElementById("t" + ide).innerHTML = "CORRECTO";
            } else {
                document.getElementById("t" + ide).innerHTML = "ERROR";
            }

        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
            document.getElementById("t" + ide).innerHTML = innerHtmll;
            document.getElementById("p" + ide).readOnly = true;
        }
    });
}